SDL Library Documentation
Prev |  | Next

# SDL_SemValue

## Name

SDL_SemValue -- Return the current value of a semaphore.

## Synopsis

    #include "SDL.h"
    #include "SDL/SDL_thread.h"

``Uint32 SDL_SemValue`(SDL_sem *sem);`

## Description

`SDL_SemValue()` returns the current semaphore value from the semaphore pointed to by `sem`.

## Return Value

Returns current value of the semaphore.

## Examples

      sem_value = SDL_SemValue(my_sem);

## See Also

`SDL_CreateSemaphore`, `SDL_DestroySemaphore`, `SDL_SemWait`, `SDL_SemTryWait`, `SDL_SemWaitTimeout`, `SDL_SemPost`

Prev | Home | Next
SDL_SemPost | Up | SDL_CreateCond